--- title: "enableFlowLog" slug: "compute-vserver-networkinterface-enableflowlog" updated: 2026-09-17T10:06:00Z published: 2026-09-17T10:06:00Z canonical: "api.ncloud-docs.com/compute-vserver-networkinterface-enableflowlog" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # enableFlowLog Available in VPC Enable the flow log of a network interface. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/enableFlowLog | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `networkInterfaceNo` | String | Required | Network interface number - See [getNetworkInterfaceList](/docs/en/compute-vserver-networkinterface-getnetworkinterfacelist). | | `collectActionTypeCode` | String | Required | Collection action type code - `ALLOW` \| `DENY` \| `ALL` - `ALLOW`: allow - `DENY`: deny - `ALL`: all | | `collectIntervalMinute` | Integer | Optional | Collection unit (minute) - 5-15 (default: 15) | | `storageTypeCode` | String | Optional | Storage location - `OBJT`: Object Storage (valid value) | | `storageBucketName` | String | Required | Bucket name - See [ListBuckets](/docs/en/storage-objectstorage-listbuckets). | | `storageBucketDirectoryName` | String | Optional | Bucket folder name - Enter 3-100 characters by combining lowercase English letters, numbers, and special character "_". (default: `VPC_FLOW_LOG`) | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/enableFlowLog ?regionCode=KR &networkInterfaceNo=70***6 &collectActionTypeCode=DENY &collectIntervalMinute=15 &storageTypeCode=OBJT &storageBucketName=mybucket &storageBucketDirectoryName=myflowlog &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `enableFlowLogResponse` | Object | - | Response result - See [FlowLogConfigurationList](/docs/en/common-vapidatatype-flowlogconfigurationlist). | | `enableFlowLogResponse.requestId` | String | - | ID for the request - UUID format | | `enableFlowLogResponse.returnCode` | String | - | Response code | | `enableFlowLogResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "enableFlowLogResponse": { "totalRows": 1, "flowLogConfigurationList": [ { "networkInterfaceNo": "70***6", "collectActionType": { "code": "DENY", "codeName": "Deny" }, "collectIntervalMinute": 15, "storageType": { "code": "OBJT", "codeName": "Object Storage" }, "storageBucketName": "mybucket", "storageBucketDirectoryName": "myflowlog" } ], "requestId": "20e16cb0-****-****-****-68ab2a87b9cc", "returnCode": "0", "returnMessage": "success" } } ```